<?php 
include('header.php');
 ?>
<main>
<section>		
<h2>Start Your Day With Us</h2>
<h3>Locally Roasted and Lovingly Prepared</h3>
<p>At the We Love Coffee coffee shop we use only the freshest ingredients, beans roasted days before they are brewed, and the same coffee brewing techniques that have been passed down for generations. Why? Because it makes better coffee. We use local roasters that have a pedigree for excellence. Why? Because it makes better coffee. We use syrups with natural ingredients, real fruit in our blended drinks, and pastries baked daily. Why? Well, you get the point.</p>
</section>

<section>
<h2><i class="demo-icon icon-map"></i> Where To Find Us</h2>
<div class="map">
<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3355.122953790104!2d-117.06818888465367!3d32.762471892033886!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x80d95697455b86b9%3A0xfcf4bd3e2c4df756!2sClockwork+Coffee+Shoppe!5e0!3m2!1sen!2sus!4v1496195894008" width="100%" height="300" frameborder="0" style="border:0" allowfullscreen></iframe>
</div>
</section>
<section class="menu-wrapper">
<h2><i class="demo-icon icon-heart"></i> Menu <i class="demo-icon icon-heart"></i></h2>	
<section class="menu-section">
<h3 class="menu-section-title">From the Espresso Bar</h3>
<div class="cat-desc">
What you'll find here are more standard types of coffee drinks.
</div>
<div class="menu-item">
<h4 class="item-title">Coffee</h4>
<p class="item-desc">Locally roasted and single origin beans perfectly brewed into a bold yet satisfying cup perfect for an early morning commute or a late night study session.</p>	
</div>
<div class="menu-item">
<h4 class="item-title">Espresso</h4>
<p class="item-desc">Decadent and smooth, our Signature Sweet Sussex Espresso blend is the perfect way to start the day.</p>	
</div>
<div class="menu-item">
<h4 class="item-title">Cold Brew</h4>
<p class="item-desc">We take our bold Papa New Guinea roast and let it brew cold for 24 hours, fully extracting the rich flavor. Served over ice, you will taste powerfully balanced notes of Hickory and Bakers Cocoa with almost no acidity. Comes with Milk and Flavoring upon request.</p>	
</div>
</section><!-- end menu-section -->
<section class="menu-section">
<h3 class="menu-section-title">Specialty Lattes</h3>
<div class="cat-desc">
What you'll find here are complex and flavored coffee drinks with steamed milk.
</div>
<div class="menu-item">
<h4 class="item-title">Caramel</h4>
<p class="item-desc">Espresso with steamed milk and caramel flavored sauce. Topped with sweetened whipped cream and caramel topping.</p>	
</div>
<div class="menu-item">
<h4 class="item-title">Mocha</h4>
<p class="item-desc">We combine our rich, full-bodied espresso with bittersweet mocha sauce and steamed milk, then top it off with sweetened whipped cream. The classic coffee drink to satisfy your sweet tooth.</p>	
</div>
<div class="menu-item">
<h4 class="item-title">Blonde</h4>
<p class="item-desc">Espresso with steamed milk, caramel and vanilla flavored syrups. Topped with sweetened whipped cream and caramel topping.</p>	
</div>
</section><!-- end menu-section -->
<section class="menu-section">
<h3 class="menu-section-title">Signature Blended Drinks</h3>
<div class="cat-desc">
<p>What you'll find here are our house special recipe coffee drinks made in the blender with ice.</p>
</div>
<div class="menu-item">
<h4 class="item-title">Swiss</h4>
<p class="item-desc">Chocolate and Caramel flavors blended with coffee, milk and ice.</p>	
</div>
<div class="menu-item">
<h4 class="item-title">Omega</h4>
<p class="item-desc">White Chocolate and Vanilla with our Espresso Beans blended with coffee, milk and ice.</p>	
</div>
<div class="menu-item">
<h4 class="item-title">Vanilla Bean</h4>
<p class="item-desc">Vanilla Frappe with our Espresso Beans blended with coffee, milk and ice.</p>	
</div>
</section><!-- end menu-section -->
</section><!-- end menu-wrapper-->	
</main>
<aside class="cf">
		<h3>Things That Go With Coffee</h3>
		<article>
			<header>
				<h4>Chocolate Anyone?</h4>
			</header>
			<p>Chocolate and coffee: a classic combo. But when a choc-o-bomb doughnut and a watery cuppa joe aren't doing it for you any more, you know you have other options, right?<p>
			<p>No I'm not talking about mochas. As delightful as they can be sometimes, I find those made in the local, um, Chain Coffee Place tend to be syrupy-sweet and completely lacking in the interplay of smokey, bitter and rich that marries chocolate and coffee so well.</p>
			<footer>
				<nav><h6 class="hide">nav</h6><a href="http://sweets.seriouseats.com/2010/08/chocolate-and-coffee-candy-desserts-tea-toffee.html" target="_blank">Read more...</a></nav>
			</footer>
		</article>
		<article>
			<header>
				<h4>Beyond Sugar and Cream</h4>
			</header>
			<p>While there are certainly coffee purists out there who advocate for black, black and black, there's no denying that adding an extra ingredient to your cup once in a while provides for a fun change to your normal coffee routine. No, I'm not talking about cream and sugar. Here are nine more surprising additions for those looking for a way to give that cup of coffee a little extra flair.</p>
			<footer>
				<nav><h6 class="hide">nav</h6><a href="http://www.thekitchn.com/9-surprising-things-to-add-to-coffee-beyond-cream-sugar-smart-coffee-for-regular-joes-203866" target="_blank">Read more...</a></nav>
			</footer>
		</article>
		<div class="video">
		<!-- reserving a place for our video, soon to be added -->
		</div>
</aside>
<?php 
include('footer.php');
 ?>
</div>
<!-- javascript functions that need to be called after page is loaded and DOM is ready -->
<script type="text/javascript" src="http://code.jquery.com/jquery-1.12.4.min.js"></script>
<script type="text/javascript" src="scripts/site.js"></script>
</body>
</html>