<?php  
include('header.php');
?>
<main>
<section class="intro">
<h2>Coffee Gallery</h2>
<p>View the artistry of our baristas.</p>
<div id="fancy">
	<a class="fancybox" href="images/full/001.jpg" data-fancybox-group="gallery" title="coffee no. 1"><img src="images/thumb/001.jpg"></a>
	<a class="fancybox" href="images/full/002.jpg" data-fancybox-group="gallery" title="coffee no. 2"><img src="images/thumb/002.jpg"></a>
	<a class="fancybox" href="images/full/003.jpg" data-fancybox-group="gallery" title="coffee no. 3"><img src="images/thumb/003.jpg"></a>
</div>
</section>
<section>
<h3>Using the Picture Element</h3>
<p>These pictures change their source based off the media query inside the markup</p>
<div class="pictures">
<picture>
	<!-- [if IE 9]><video style="display:none;"><![endif]-->
	<source srcset="images/full/001.jpg" media="(min-width:850px)">
	<source srcset="images/med/001.jpg" media="(min-width:580px)">
	<!-- [if IE 9]></video><![endif]-->
	<img src="images/thumb/001.jpg" alt="coffee no. 1">
	<p>Coffee No. 1</p>
</picture>
<picture>
	<!-- [if IE 9]><video style="display:none;"><![endif]-->
	<source srcset="images/full/002.jpg" media="(min-width:850px)">
	<source srcset="images/med/002.jpg" media="(min-width:580px)">
	<!-- [if IE 9]></video><![endif]-->
	<img src="images/thumb/002.jpg" alt="coffee no. 2">
	<p>Coffee No. 2</p>
</picture>
<picture>
	<!-- [if IE 9]><video style="display:none;"><![endif]-->
	<source srcset="images/full/003.jpg" media="(min-width:850px)">
	<source srcset="images/med/003.jpg" media="(min-width:580px)">
	<!-- [if IE 9]></video><![endif]-->
	<img src="images/thumb/003.jpg" alt="coffee no. 3">
	<p>Coffee No. 3</p>
</picture>
</div>
</section>
<section>
	<h3>Images with the Figure Element</h3>
	<p>These images are always the full sized picture, just responding to fit the container width.</p>
	<figure>
		<img src="images/full/004.jpg" alt="Coffee no. 4">
		<figcaption>Coffee No. 4</figcaption>
	</figure>
	<figure>
		<img src="images/full/005.jpg" alt="Coffee no. 4">
		<figcaption>Coffee No. 5</figcaption>
	</figure>
	<figure>
		<img src="images/full/006.jpg" alt="Coffee no. 4">
		<figcaption>Coffee No. 6</figcaption>
	</figure>
</section>
</main>
<aside class="cf">
<div id="imgbanner">
	<h3>Floated to the Right</h3>
	<p>In this example, the image is floated to the right and its container's overflow is set to hidden, so the image will be cropped from the left as the viewport reduces in size.</p>
	<img src="images/coffeebanner1.jpg" alt="coffee and roasted beans">
</div>
<h3 id="imgbkbanner">Background Image</h3>
<p>The image above is a background image that gets cut off left and right as you scale down the size of the window.</p>
</aside>
<?php  
include('footer.php');
?>
</div>
<!-- javascript functions that need to be called after page is loaded and DOM is ready -->
<script type="text/javascript" src="http://code.jquery.com/jquery-1.12.4.min.js"></script>
<script type="text/javascript" src="scripts/site.js"></script>
<script type="text/javascript" src="scripts/jquery.fancybox.js"></script>
<script type="text/javascript">
$('.fancybox').fancybox();	
</script>

</body>
</html>